#
# spec file for package flcluster
#
# Copyright (c) 2021-2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flcluster
Version:        1.1.0
Release:        lp160.1.2
Summary:        Tool for accessing dxcluster nodes
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Other
URL:            http://www.w1hkj.com/
#Git-Clone:     https://git.code.sf.net/p/fldigi/flcluster
Source:         https://nloads.sourceforge.net/project/fldigi/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fltk-devel
BuildRequires:  flxmlrpc-devel
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
FLCLUSTER is a management tool for accessing dxcluster nodes.

%prep
%setup -q

%build
export BUILD_DATE=`date -d@0`
export BUILD_USER=openSUSE
export BUILD_HOST=openSUSE
%configure
%make_build

%install
%make_install

%suse_update_desktop_file -i flcluster

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Thu Nov 23 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- updated to version 1.1.0
  * documentation update
    + update all images
    + update text, adding new function descriptions
  * UI update:
    + add 16 more macros
    . visibly swap M1-M16 with M17-M32
    . add tab metaphor for editing M1-M16 / M17-M32
  * code change for fltk-1.4.0 compatability
  * repair warnings
  * change read fonts; find fixed fonts to font_browser dialog
    initiation
* Fri Jun 30 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Specfile cleaned up, removed obsolete stuff
* Fri Apr 14 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- updated to version 1.0.8
  * Fix Fltk transpareny bug for flrig icon.
  * Fixed several edge case behaviors with Combobox widgets
  * deprecate "using namespace std" to avoid conflicts with
    grabby g++ c11 libs
  * double Macro buttons to 16
* Sun Nov 21 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- initial package
- version 1.0.7
